Loading...
Searching...
No Matches
rig_cache Struct Reference

Rig cache data. More...

`#include <cache.h>`

## Data Fields

int | timeout_ms
vfo_t | vfo
freq_t | freqCurr
freq_t | freqOther
freq_t | freqMainA
freq_t | freqMainB
freq_t | freqMainC
freq_t | freqSubA
freq_t | freqSubB
freq_t | freqSubC
freq_t | freqMem
rmode_t | modeCurr
rmode_t | modeOther
rmode_t | modeMainA
rmode_t | modeMainB
rmode_t | modeMainC
rmode_t | modeSubA
rmode_t | modeSubB
rmode_t | modeSubC
rmode_t | modeMem
pbwidth_t | widthCurr
pbwidth_t | widthOther
pbwidth_t | widthMainA
pbwidth_t | widthMainB
pbwidth_t | widthMainC
pbwidth_t | widthSubA
pbwidth_t | widthSubB
pbwidth_t | widthSubC
pbwidth_t | widthMem
ptt_t | ptt
split_t | split
vfo_t | split_vfo
struct timespec | time_freqCurr
struct timespec | time_freqOther
struct timespec | time_freqMainA
struct timespec | time_freqMainB
struct timespec | time_freqMainC
struct timespec | time_freqSubA
struct timespec | time_freqSubB
struct timespec | time_freqSubC
struct timespec | time_freqMem
struct timespec | time_vfo
struct timespec | time_modeCurr
struct timespec | time_modeOther
struct timespec | time_modeMainA
struct timespec | time_modeMainB
struct timespec | time_modeMainC
struct timespec | time_modeSubA
struct timespec | time_modeSubB
struct timespec | time_modeSubC
struct timespec | time_modeMem
struct timespec | time_widthCurr
struct timespec | time_widthOther
struct timespec | time_widthMainA
struct timespec | time_widthMainB
struct timespec | time_widthMainC
struct timespec | time_widthSubA
struct timespec | time_widthSubB
struct timespec | time_widthSubC
struct timespec | time_widthMem
struct timespec | time_ptt
struct timespec | time_split
int | satmode

## Detailed Description

Rig cache data.

This struct contains all the items we cache at the highest level Replaces cache structure(s) in state

The documentation for this struct was generated from the following file:

- cache.h